Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.lib.jsf
Class PortletOrchestraFacesContextFactory

    java.lang.Object
      org.apache.myfaces.orchestra.lib.jsf.PortletOrchestraFacesContextFactory

    public class PortletOrchestraFacesContextFactory

extends Object

Class used by OrchestraFacesContextFactory to allow orchestra work in portlets In portlet world we have the following differences against servlets: 1. In servlet, the same thread is responsible from execute action and render. But in portlets we could have separate threads that execute action and render. 2. The request attribute values between portlet action and render could be lost, so if we need some param to be passed between action and render phase.

Version:
  $Revision: 826577 $ $Date: 2009-10-18 20:50:13 -0500 (Sun, 18 Oct 2009) $
Author:
  Leonardo Uribe(latest modification by $Author: lu4242 $)

Field Summary
`static String` | `PORTLET_LIFECYCLE_PHASE` Constant used by orchestra to check if we are on a portlet request or not.
`static String` | `REQUEST_HANDLERS`

Constructor Summary
`PortletOrchestraFacesContextFactory()`

Method Summary
`protected String` | `_getNextToken()` Return the next token to identify in a unique way the current request.
`javax.faces.context.FacesContext` | `getFacesContext(javax.faces.context.FacesContext facesContext, Object context, Object request, Object response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_HANDLERS

    public static final String REQUEST_HANDLERS

See Also:
  Constant Field Values

### PORTLET_LIFECYCLE_PHASE

    public static final String PORTLET_LIFECYCLE_PHASE

  Constant used by orchestra to check if we are on a portlet request or not.

  See Also:
    Constant Field Values

Constructor Detail

### PortletOrchestraFacesContextFactory

    public PortletOrchestraFacesContextFactory()

Method Detail

### _getNextToken

    protected String _getNextToken()

  Return the next token to identify in a unique way the current request. This is used when there is no conversationContext param available. In that remote case, a dummy param is added just to allow pass installed handlers between action and request scope.

  Returns:

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(javax.faces.context.FacesContext facesContext,
                                                            Object context,
                                                            Object request,
                                                            Object response)
                                                     throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.